module ActivityPub
  module Rails::ObjectConcern
    extend ActiveSupport::Concern

    included do
      scope :remote, -> { where.not(domain: nil) }
      scope :local, -> { where(domain: nil) }
      scope :matches_domain, ->(value) { where(arel_table[:domain].matches("%#{value}%")) }

      def self.find_local(id)
        local.find_by(id: id)
      end
    end

    def local?
      domain.nil?
    end

    def remote?
      !local?
    end
  end
end
