class CreateActivityPubRailsActors < ActiveRecord::Migration[5.2]
  def change
    create_table :activitypub_rails_actors, id: false do |t|
      t.bigint :id
      t.string :slug, null: false, default: ''
      t.string :domain
      t.text :private_key
      t.text :public_key, null: false, default: ''
      t.string :remote_url, null: false, default: ''
      t.string :name, null: false, default: ''
      t.text :summary
      t.string :type
      t.string :uri, null: false, default: ''
      t.string :url
      t.datetime :subscription_expires_at
      t.datetime :last_webfingered_at
      t.string :inbox_url, null: false, default: ''
      t.string :outbox_url, null: false, default: ''
      t.string :shared_inbox_url, null: false, default: ''
      t.string :actor_type
      t.string :followers_url
      t.integer :following_count, default: 0
      t.integer :followers_count, default: 0

      t.timestamps
    end
    add_index :activitypub_rails_actors, %i[type slug domain], unique: true
  end
end
